<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.info.mapper.EEnterpriseWaterAnnualStatisticsMapper">

    <resultMap id="BaseResultMap" type="com.zksy.info.domain.EEnterpriseWaterAnnualStatistics">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="enterpriseName" column="enterprise_name" jdbcType="VARCHAR"/>
            <result property="unifiedSocialCreditCode" column="unified_social_credit_code" jdbcType="VARCHAR"/>
            <result property="accountNumber" column="account_number" jdbcType="VARCHAR"/>
            <result property="openingDate" column="opening_date" jdbcType="DATE"/>
            <result property="year" column="year" jdbcType="INTEGER"/>
            <result property="q1Ton" column="q1_ton" jdbcType="DECIMAL"/>
            <result property="q1Cost" column="q1_cost" jdbcType="DECIMAL"/>
            <result property="q2Ton" column="q2_ton" jdbcType="DECIMAL"/>
            <result property="q2Cost" column="q2_cost" jdbcType="DECIMAL"/>
            <result property="q3Ton" column="q3_ton" jdbcType="DECIMAL"/>
            <result property="q3Cost" column="q3_cost" jdbcType="DECIMAL"/>
            <result property="q4Ton" column="q4_ton" jdbcType="DECIMAL"/>
            <result property="q4Cost" column="q4_cost" jdbcType="DECIMAL"/>
            <result property="annualTotalTon" column="annual_total_ton" jdbcType="DECIMAL"/>
            <result property="annualTotalCost" column="annual_total_cost" jdbcType="DECIMAL"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,enterprise_name,unified_social_credit_code,
        account_number,opening_date,year,
        q1_ton,q1_cost,q2_ton,
        q2_cost,q3_ton,q3_cost,
        q4_ton,q4_cost,annual_total_ton,
        annual_total_cost,create_time,update_time
    </sql>
</mapper>
